## gcc-6-cross-ports 9ubuntu2

=== debian/changelog ===
gcc-6-cross-ports (9ubuntu2) yakkety; urgency=medium

  * Build using 6.2.0-5ubuntu12.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Oct 2016 07:49:26 +0200

gcc-6-cross-ports (9ubuntu1) yakkety; urgency=medium

  * Build using 6.1.1-9ubuntu11.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Jul 2016 15:09:55 +0200

gcc-6-cross-ports (9) unstable; urgency=medium

  * Mark cross compilers as M-A: foreign. Addresses: #827136.
  * Build gcc-plugin-dev packages. Addresses: #826786.
  * Build using 6.1.1-9.
  * Don't build mips64el cross compilers from this source package.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Jul 2016 15:07:50 +0200

gcc-6-cross-ports (8ubuntu1) yakkety; urgency=medium

  * Build using 6.1.1-4ubuntu11.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 May 2016 08:58:00 +0200

gcc-6-cross-ports (8) unstable; urgency=medium

  * Build using 6.1.1-4.

 -- Matthias Klose <doko@debian.org>  Thu, 19 May 2016 17:21:54 +0200

gcc-6-cross-ports (7) unstable; urgency=medium

  * Build using 6.1.1-2.

 -- Matthias Klose <doko@debian.org>  Thu, 12 May 2016 16:36:30 +0200

gcc-6-cross-ports (6) unstable; urgency=medium

  * Build using 6.1.1-2.

 -- Matthias Klose <doko@debian.org>  Tue, 10 May 2016 21:24:27 +0200

gcc-6-cross-ports (5) experimental; urgency=medium

  * Build using 6.0.1.
  * Build cross compilers for powerpcspe.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Apr 2016 19:57:51 +0200

gcc-6-cross-ports (4) experimental; urgency=medium

  * Build using 6-20160225-1.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Feb 2016 02:59:58 +0100

gcc-6-cross-ports (3) experimental; urgency=medium

  * Build using 6-20160205-1.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Feb 2016 15:44:49 +0100

gcc-6-cross-ports (2) experimental; urgency=medium

  * Build using 6-20160109-1.
  * Build for m68k, mips64, mips64el with gnat disabled.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jan 2016 14:54:11 +0100

gcc-6-cross-ports (1) experimental; urgency=medium

  * Build using 6-20160103-1.
  * Build for m68k, mips64, mips64el with gnat disabled.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2016 19:33:46 +0100

gcc-6-cross-ports (0) experimental; urgency=medium

  * GCC 6 cross compilers.
  * Disabled building on m68k, mips64el, mips64, currently fail to build.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Dec 2015 16:24:11 +0100

gcc-5-cross-ports (3) unstable; urgency=medium

  * Build using 5.3.1-2.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2015 20:51:59 +0100

gcc-5-cross-ports (2) unstable; urgency=medium

  * Build using 5.2.1-27.
  * Build gnat on m68k and sparc64.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Nov 2015 23:48:58 +0100

gcc-5-cross-ports (1) unstable; urgency=medium

  * Build using 5.2.1-26.
  * Enable builds for mips64, mips64el and sh4.
  * Build gccgo on sparc64.
  * Build gnat on sh4.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Nov 2015 21:23:23 +0100

gcc-5-cross-ports (0) unstable; urgency=medium

  * Build cross compilers for some ports.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Nov 2015 20:56:07 +0100

gcc-5-cross (14) unstable; urgency=medium

  * Build using 5.2.1-24.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Nov 2015 17:08:27 +0100

gcc-5-cross (13) unstable; urgency=medium

  * Build using 5.2.1-23.
  * Fix build dependency on gnat-5.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2015 23:26:28 +0100

gcc-5-cross (12) unstable; urgency=medium

  * Build using 5.2.1-22.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2015 14:30:25 +0200

gcc-5-cross (11) unstable; urgency=medium

  * Build using 5.2.1-20.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Oct 2015 12:34:03 +0200

gcc-5-cross (10) unstable; urgency=medium

  * Build using 5.2.1-19.
  * Build gnat cross compiler (YunQiang Su). Closes: #798860.
  * Build cross compilers on x32.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Oct 2015 08:53:26 +0200

gcc-5-cross (9) unstable; urgency=medium

  * Build using 5.2.1-16.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Sep 2015 22:23:10 +0200

gcc-5-cross (8) unstable; urgency=medium

  * Build using 5.2.1-13.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 23:36:07 +0200

gcc-5-cross (7) unstable; urgency=medium

  * Build using 5.1.1-13.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jul 2015 21:42:45 +0200

gcc-5-cross (6) unstable; urgency=medium

  [ Matthias Klose ]
  * Build using 5.1.1-11.
  * Keep -cross packages installable when versions mismatch.

  [ YunQiang Su ]
  * Add support to build packages for mips, mipsel, mips64, mips64el.
    Building packages for mips64, mips64el disabled by default.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jun 2015 23:56:16 +0200

gcc-5-cross (5) unstable; urgency=medium

  * Build using 5.1.1-8.

 -- Matthias Klose <doko@debian.org>  Wed, 27 May 2015 20:22:50 +0200

gcc-5-cross (4) unstable; urgency=medium

  * Build using 5.1.1-6.
  * Keep ARM32 multilib packages in the control file when requested.
  * Fix generating the cross version on AArch64.

 -- Matthias Klose <doko@debian.org>  Tue, 19 May 2015 18:15:45 +0200

gcc-5-cross (3) unstable; urgency=medium

  * Build cross compiler packages for GCC 5.
  * Build the exact same compiler without dropping any patches from
    the native build.
  * Build for any frontend that is currently built as a native compiler.
    Leaving out gnat as a work item.
  * Build packages that can be built on the buildds.
  * Initial upload. Closes: #784079.

 -- Matthias Klose <doko@debian.org>  Wed, 13 May 2015 22:17:42 +0200

gcc-4.9-powerpc-cross (0.9) vivid; urgency=medium

  * Build for 4.9.2-10ubuntu10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2015 20:16:29 +0100

gcc-4.9-powerpc-cross (0.8) vivid; urgency=medium

  * Build using 4.9.2-10ubuntu5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Feb 2015 13:09:43 +0100

gcc-4.9-powerpc-cross (0.7) vivid; urgency=medium

  * Fix typo in cross_mangle_shlibs.


