## gcc-6-cross-ports 19ubuntu1

=== debian/changelog ===
gcc-6-cross-ports (19ubuntu1) zesty; urgency=medium

  * Build using 6.3.0-12ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Apr 2017 15:30:32 +0200

gcc-6-cross-ports (19) unstable; urgency=medium

  * Build using 6.3.0-12.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Apr 2017 16:26:16 +0200

gcc-6-cross-ports (18ubuntu1) zesty; urgency=medium

  * Build using 6.3.0-10ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Mar 2017 00:12:02 +0100

gcc-6-cross-ports (17ubuntu1) zesty; urgency=medium

  * Build using 6.3.0-9ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Mar 2017 23:08:53 +0100

gcc-6-cross-ports (17) unstable; urgency=medium

  * Build using 6.3.0-9.
  * Fix libcc1.so symlink for cross compilers. Addresses: #856875.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Mar 2017 15:20:10 +0100

gcc-6-cross-ports (16) unstable; urgency=medium

  * Build using 6.3.0-8.
  * Fix ecj1 symlink for gcj cross compiler packages. Addresses: #855640.

 -- Matthias Klose <doko@debian.org>  Thu, 23 Feb 2017 17:40:40 +0100

gcc-6-cross-ports (14) unstable; urgency=medium

  * Build using 6.3.0-5.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jan 2017 15:02:39 +0100

gcc-6-cross-ports (13) unstable; urgency=medium

  * Add libgo9-m68k-cross to the control file.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Jan 2017 01:53:16 +0100

gcc-6-cross-ports (12) unstable; urgency=medium

  * Build using 6.3.0-3.
  * Fix gdc cross build. Closes: #851047.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jan 2017 13:31:18 +0100

gcc-6-cross-ports (11ubuntu1) zesty; urgency=medium

  * Build using 6.2.1-5ubuntu1.
  * Update libgphobos multilib build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Nov 2016 12:58:11 +0100

gcc-6-cross-ports (11) unstable; urgency=medium

  * Update build dependencies.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Nov 2016 17:33:59 +0100

gcc-6-cross-ports (10ubuntu2) zesty; urgency=medium

  * Build using 6.2.1-4ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Nov 2016 15:14:12 +0100

gcc-6-cross-ports (10) unstable; urgency=medium

  * Build using 6.2.1-4.
  * Add infrastructure for additional mips* targets without enabling
    these (YunQiang Su). Closes: #835850.
  * Fix applying local patches. Closes: #835714.
  * Build powerpc cross packages from this source package.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Nov 2016 01:33:00 +0100
