=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: gcc-6-source (>= 6.2.0-5~), binutils-multiarch (>= 2.26.1),
+Build-Depends: gcc-6-source (>= 6.3.0-12~), binutils-multiarch (>= 2.28-3),
   autoconf2.64, autogen, bison (>= 1:2.3),
-  chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
+  chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1), 
-  binutils-alpha-linux-gnu (>= 2.26.1) [amd64 i386 x32], binutils-hppa-linux-gnu (>= 2.26.1) [amd64 i386 x32], binutils-m68k-linux-gnu (>= 2.26.1) [amd64 i386 x32], binutils-mips64-linux-gnuabi64 (>= 2.26.1) [amd64 i386 x32], binutils-powerpc64-linux-gnu (>= 2.26.1) [amd64 i386 x32], binutils-sh4-linux-gnu (>= 2.26.1) [amd64 i386 x32], binutils-sparc64-linux-gnu (>= 2.26.1) [amd64 i386 x32], binutils-mips-linux-gnu (>= 2.26.1) [amd64 i386 x32], binutils-mipsel-linux-gnu (>= 2.26.1) [amd64 i386 x32], binutils-mips64el-linux-gnuabi64 (>= 2.26.1) [amd64 i386 x32], binutils-powerpc-linux-gnuspe (>= 2.26.1) [amd64 i386 x32],
-  libc6.1-dev-alpha-cross (>= 2.23) [amd64 i386 x32], libc6-dev-hppa-cross (>= 2.23) [amd64 i386 x32], libc6-dev-m68k-cross (>= 2.23) [amd64 i386 x32], libc6-dev-mips64-cross (>= 2.23) [amd64 i386 x32], libc6-dev-ppc64-cross (>= 2.23) [amd64 i386 x32], libc6-dev-sh4-cross (>= 2.23) [amd64 i386 x32], libc6-dev-sparc64-cross (>= 2.23) [amd64 i386 x32], libc6-dev-mips-cross (>= 2.23) [amd64 i386 x32], libc6-dev-mipsel-cross (>= 2.23) [amd64 i386 x32], libc6-dev-mips64el-cross (>= 2.23) [amd64 i386 x32], libc6-dev-powerpcspe-cross (>= 2.23) [amd64 i386 x32], libc6-dev-powerpc-ppc64-cross [amd64 i386 x32], libc6-dev-sparc-sparc64-cross [amd64 i386 x32], libc6-dev-mips64-mips-cross [amd64 i386 x32], libc6-dev-mipsn32-mips-cross [amd64 i386 x32], libc6-dev-mips64-mipsel-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsel-cross [amd64 i386 x32], libc6-dev-mips32-mips64-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32], libc6-dev-mips32-mips64el-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64el-cross [amd64 i386 x32],
-  libisl-dev (>= 0.14-1~), libmpc-dev,
+  binutils-alpha-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-hppa-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-m68k-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-mips64-linux-gnuabi64 (>= 2.28-3) [amd64 i386 x32], binutils-powerpc-linux-gnu (>= 2.28-3) [amd64 i386 x32 ppc64el], binutils-powerpc64-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-sh4-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-sparc64-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-mips-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-mipsel-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-mips64el-linux-gnuabi64 (>= 2.28-3) [amd64 i386 x32], binutils-powerpc-linux-gnuspe (>= 2.28-3) [amd64 i386 x32],
+  libc6.1-dev-alpha-cross (>= 2.24) [amd64 i386 x32], libc6-dev-hppa-cross (>= 2.24) [amd64 i386 x32], libc6-dev-m68k-cross (>= 2.24) [amd64 i386 x32], libc6-dev-mips64-cross (>= 2.24) [amd64 i386 x32], libc6-dev-powerpc-cross (>= 2.24) [amd64 i386 x32 ppc64el], libc6-dev-ppc64-cross (>= 2.24) [amd64 i386 x32], libc6-dev-sh4-cross (>= 2.24) [amd64 i386 x32], libc6-dev-sparc64-cross (>= 2.24) [amd64 i386 x32], libc6-dev-mips-cross (>= 2.24) [amd64 i386 x32], libc6-dev-mipsel-cross (>= 2.24) [amd64 i386 x32], libc6-dev-mips64el-cross (>= 2.24) [amd64 i386 x32], libc6-dev-powerpcspe-cross (>= 2.24) [amd64 i386 x32], libc6-dev-powerpc-ppc64-cross [amd64 i386 x32], libc6-dev-sparc-sparc64-cross [amd64 i386 x32], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el], libc6-dev-mips64-mips-cross [amd64 i386 x32], libc6-dev-mips64-mipsel-cross [amd64 i386 x32], libc6-dev-mipsn32-mips-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsel-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64el-cross [amd64 i386 x32], libc6-dev-mips32-mips64-cross [amd64 i386 x32], libc6-dev-mips32-mips64el-cross [amd64 i386 x32],
+  linux-libc-dev-alpha-cross [amd64 i386 x32], linux-libc-dev-hppa-cross [amd64 i386 x32], linux-libc-dev-m68k-cross [amd64 i386 x32], linux-libc-dev-mips64-cross [amd64 i386 x32], linux-libc-dev-powerpc-cross [amd64 i386 x32 ppc64el], linux-libc-dev-ppc64-cross [amd64 i386 x32], linux-libc-dev-sh4-cross [amd64 i386 x32], linux-libc-dev-sparc64-cross [amd64 i386 x32], linux-libc-dev-mips-cross [amd64 i386 x32], linux-libc-dev-mipsel-cross [amd64 i386 x32], linux-libc-dev-mips64el-cross [amd64 i386 x32], linux-libc-dev-powerpcspe-cross [amd64 i386 x32],
+  libisl-dev (>= 0.17-1~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
+  pkg-config, libgc-dev,
   patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
   g++-6,
   gcj-6-jdk,
@@ -237,21 +239,3 @@
 Architecture: all
 Section: debug
 Priority: extra
-Depends: gcc-6-alpha-linux-gnu-base (= ${gcc:Version}), lib32gomp1-alpha-cross (= ${gcc:Version}), ${misc:Depends}
-Description: GCC OpenMP (GOMP) support library (32 bit debug symbols)
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
-
-Package: lib64gomp1-dbg-alpha-cross
-Architecture: all
-Section: debug
-Priority: extra
-Depends: gcc-6-alpha-linux-gnu-base (= ${gcc:Version}), lib64gomp1-alpha-cross (= ${gcc:Version}), ${misc:Depends}
-Description: GCC OpenMP (GOMP) support library (64bit debug symbols)
- GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
- in the GNU Compiler Collection.
-
-Package: libn32gomp1-dbg-alpha-cross
-Architecture: all
-Section: debug
-Priority: extra
