=== debian/rules ===
--- 
+++ 
@@ -32,8 +32,8 @@
 endif
 
 ifeq ($(GCC_VER),6)
-  MIN_VER_GCC      := 6.2.0-5~
-  PPA_VER_GCC      := 6.2.0
+  MIN_VER_GCC      := 6.3.0-12~
+  PPA_VER_GCC      := 6.3.0
 endif
 
 ifndef MIN_VER_GCC
@@ -43,15 +43,15 @@
 
 DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
 DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Version: \(.*\)/\1/p')
-DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-6-cross),powerpc,ppc64))
+DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-6-cross),ppc64el,ppc64))
 CROSS_EXT       := cross$(DEB_VER_ACT)
 
 VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
 GCC_DIR        := /usr/src/gcc-${GCC_VER}
-VER_BINUTILS   := 2.26.1
-MIN_VER_BINUTILS   := 2.26.1
-VER_ISL      := 0.14-1~
-MIN_VER_GLIBC   := 2.23
+VER_BINUTILS   := 2.28-3
+MIN_VER_BINUTILS   := 2.28-3
+VER_ISL      := 0.17-1~
+MIN_VER_GLIBC   := 2.24
 
 DEB_VER_GCC    := $(shell dpkg-parsechangelog -l${GCC_DIR}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
 
@@ -70,6 +70,15 @@
 HOST_ARCHS_mipsel = amd64 i386 x32
 HOST_ARCHS_mips64 = amd64 i386 x32
 HOST_ARCHS_mips64el = amd64 i386 x32
+HOST_ARCHS_mipsn32 = amd64 i386 x32
+HOST_ARCHS_mipsn32el = amd64 i386 x32
+HOST_ARCHS_mips64el = amd64 i386 x32
+HOST_ARCHS_mipsr6 = amd64 i386 x32
+HOST_ARCHS_mipsr6el = amd64 i386 x32
+HOST_ARCHS_mips64r6 = amd64 i386 x32
+HOST_ARCHS_mips64r6el = amd64 i386 x32
+HOST_ARCHS_mipsn32r6 = amd64 i386 x32
+HOST_ARCHS_mipsn32r6el = amd64 i386 x32
 HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
 HOST_ARCHS_powerpcspe = amd64 i386 x32
 HOST_ARCHS_ppc64 = amd64 i386 x32
@@ -83,13 +92,15 @@
 stamp            := stamp-dir/
 
 ifeq ($(DEB_NAME_ACT),gcc-6-cross)
-  CROSS_ARCHS  ?= powerpc ppc64el s390x arm64 armhf armel \
+  CROSS_ARCHS  ?= ppc64el s390x arm64 armhf armel \
 			$(if $(filter $(vendor), Ubuntu),, mips mipsel mips64el)
   GCC_PORTS_BUILD=
 else
-  CROSS_ARCHS  ?= alpha hppa m68k mips64 ppc64 sh4 sparc64 \
+  CROSS_ARCHS  ?= alpha hppa m68k mips64 powerpc ppc64 sh4 sparc64 \
 			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el) \
 			powerpcspe
+# mips64 mipsn32 mipsn32el
+# mipsr6 mipsr6el mips64r6el mips64r6 mipsn32r6 mipsn32r6el
   GCC_PORTS_BUILD=-ports
 endif
 
@@ -119,13 +130,14 @@
   skip_arm32ml_packages = yes
 endif
 
-libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-powerpc-cross | awk '/^Source:/ { print $$2 }')
+libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-arm64-cross | awk '/^Source:/ { print $$2 }')
 #ifneq ($(DEB_NAME_ACT),$(libgcc_source))
 #  skip_common_packages = yes
 #endif
 
 BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
 GLIBC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),libc6$(if $(filter $(a),alpha ia64),.1)-dev-$(a)-cross (>= $(MIN_VER_GLIBC)) [$(HOST_ARCHS_$(a))]$(,))
+LINUX_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),linux-libc-dev-$(a)-cross [$(HOST_ARCHS_$(a))]$(,))
 
 # build multilib cross compilers
 ifeq ($(ARM32_MULTILIBS),yes)
@@ -171,44 +183,32 @@
   endif
 endif
 
-ifneq (,$(filter mips, $(CROSS_ARCHS)))
-  EXTRA_BUILD_DEPS += libc6-dev-mips64-mips-cross [$(HOST_ARCHS_mips)],
-  EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mips-cross [$(HOST_ARCHS_mips)],
-  ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib64gcc1-mips-cross [$(HOST_ARCHS_mips)],
-    GCC_BUILD_DEPS += libn32gcc1-mips-cross [$(HOST_ARCHS_mips)],
-  endif
-endif
-
-ifneq (,$(filter mipsel, $(CROSS_ARCHS)))
-  EXTRA_BUILD_DEPS += libc6-dev-mips64-mipsel-cross [$(HOST_ARCHS_mipsel)],
-  EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mipsel-cross [$(HOST_ARCHS_mipsel)],
-  ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib64gcc1-mipsel-cross [$(HOST_ARCHS_mipsel)],
-    GCC_BUILD_DEPS += libn32gcc1-mipsel-cross [$(HOST_ARCHS_mipsel)],
-  endif
-endif
-
-ifneq (,$(filter mips64, $(CROSS_ARCHS)))
-  EXTRA_BUILD_DEPS += libc6-dev-mips32-mips64-cross [$(HOST_ARCHS_mips64)],
-  EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mips64-cross [$(HOST_ARCHS_mips64)],
-  ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib32gcc1-mips64-cross [$(HOST_ARCHS_mips64)],
-    GCC_BUILD_DEPS += libn32gcc1-mips64-cross [$(HOST_ARCHS_mips64)],
-  endif
-endif
-
-ifneq (,$(filter mips64el, $(CROSS_ARCHS)))
-  EXTRA_BUILD_DEPS += libc6-dev-mips32-mips64el-cross [$(HOST_ARCHS_mips64el)],
-  EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mips64el-cross [$(HOST_ARCHS_mips64el)],
-  ifeq ($(skip_common_packages),yes)
-    GCC_BUILD_DEPS += lib32gcc1-mips64el-cross [$(HOST_ARCHS_mips64el)],
-    GCC_BUILD_DEPS += libn32gcc1-mips64el-cross [$(HOST_ARCHS_mips64el)],
-  endif
-endif
+EXTRA_BUILD_DEPS += $(foreach a, mips mipsel mipsr6 mipsr6el mipsn32 mipsn32el mipsn32r6 mipsn32r6el, \
+  $(if $(filter $(a), $(CROSS_ARCHS)), libc6-dev-mips64-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
+)
+GCC_BUILD_DEPS += $(foreach a, mips mipsel mipsr6 mipsr6el mipsn32 mipsn32el mipsn32r6 mipsn32r6el, \
+  $(if $(filter yes, $(skip_common_packages)), lib64gcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
+)
+
+EXTRA_BUILD_DEPS += $(foreach a, mips mipsel mipsr6 mipsr6el mips64 mips64el mips64r6 mips64r6el, \
+  $(if $(filter $(a), $(CROSS_ARCHS)), libc6-dev-mipsn32-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
+)
+GCC_BUILD_DEPS += $(foreach a, mips mipsel mipsr6 mipsr6el mips64 mips64el mips64r6 mips64r6el, \
+  $(if $(filter yes, $(skip_common_packages)), libn32gcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
+)
+
+EXTRA_BUILD_DEPS += $(foreach a, mipsn32 mipsn32el mipsn32r6 mipsn32r6el mips64 mips64el mips64r6 mips64r6el, \
+  $(if $(filter $(a), $(CROSS_ARCHS)), libc6-dev-mips32-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
+)
+GCC_BUILD_DEPS += $(foreach a, mipsn32 mipsn32el mipsn32r6 mipsn32r6el mips64 mips64el mips64r6 mips64r6el, \
+  $(if $(filter yes, $(skip_common_packages)), lib32gcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
+)
 
 PHOBOS_ARCHS = amd64 i386 x32 armel armhf
-PHOBOS_DEP = libphobos-GCC_VER-dev-CROSS_ARCH-cross (= $${gcc:Version}),
+PHOBOS_DEP = libgphobos-GCC_VER-dev-CROSS_ARCH-cross (= $${gcc:Version}),
+# FIXME: Set correctly ...
+PHOBOS_ML_DEP = libgphobos-GCC_VER-dev-CROSS_ARCH-cross (= $${gcc:Version}),
+ 
 
 info:
 	@echo "Package name:             ${DEB_NAME_ACT} ${DEB_VER_ACT}"
@@ -224,11 +224,3 @@
 	@echo START $@
 	mkdir -p gcc
 	set -ex; \
-	cd gcc ; \
-	ln -sf ${GCC_DIR}/gcc-${VER_GCC}.tar.xz gcc-${VER_GCC}.tar.xz ;\
-	cp -a  ${GCC_DIR}/debian/ . ; \
-	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/gcc-${GCC_VER}/series)" ]; then \
-	  QUILT_PATCHES=${CURDIR}/debian/patches/gcc-${GCC_VER} quilt push --quiltrc /dev/null -a ; \
-	fi
-	touch $@
-
